%define upstream_name    Getopt-Lucid
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Clear, readable syntax for command line processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(Exception::Class::TryCatch) >= 1.100.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The goal of this module is providing good code readability and clarity of
intent for command-line option processing. While readability is a
subjective standard, Getopt::Lucid relies on a more verbose, plain-English
option specification as compared against the more symbolic approach of
Getopt::Long. Key features include:

* *

  Five option types: switches, counters, parameters, lists, and keypairs

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-2.mga6
+ Revision: 1027903
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 923770
- update to 1.06

* Sun Oct 19 2014 umeabot <umeabot> 1.50.0-6.mga5
+ Revision: 788882
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 749953
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.50.0-4.mga5
+ Revision: 732186
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 684860
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 526993
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 439344
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 367738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 218738
- update to 1.01

* Mon Dec 12 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 180918
- update to 1.00

* Sat Feb 26 2011 jquelin <jquelin> 0.190.0-2.mga1
+ Revision: 60625
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 33790
- mageia rebuild
- imported package perl-Getopt-Lucid

